<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBusinessDirectoriesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: business_directories
         */
        Schema::create('business_directories', function ($table) {
            $table->increments('id');
            $table->string('name', 255)->nullable();
            $table->string('location', 255)->nullable();
            $table->string('street', 255)->nullable();
            $table->string('pincode', 255)->nullable();
            $table->string('slug', 255)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('business_directories');
    }
}
