<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateEventsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: events
         */
        Schema::create('events', function ($table) {
            $table->increments('id');
            $table->string('title', 255)->nullable();
            $table->text('date')->nullable();
            $table->text('address')->nullable();
            $table->string('street', 255)->nullable();
            $table->string('city', 255)->nullable();
            $table->string('state', 255)->nullable();
            $table->string('country', 255)->nullable();
            $table->string('pincode', 255)->nullable();
            $table->text('images')->nullable();
            $table->text('description')->nullable();
            $table->string('slug', 255)->nullable();
            $table->enum('status', ['Show','Hide'])->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('events');
    }
}
