Lavalite package that provides event management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepie/event`.

    "litepie/event": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepie\Event\Providers\EventServiceProvider::class,

And also add it to alias

    'Event'  => Litepie\Event\Facades\Event::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepie\\EventTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepie\Event\Providers\EventServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepie\Event\Providers\EventServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepie\Event\Providers\EventServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/event/{modulename}

**User**

    http://path-to-route-folder/user/event/{modulename}

**Public**

    http://path-to-route-folder/events


### API endpoints

**List**

    http://path-to-route-folder/api/user/event/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/event/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/event/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/event/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/event/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/event/{modulename}/{slug}
    METHOD: GET