<?php

// API routes  for event
Route::prefix('{guard}/event')->group(function () {
    Route::get('event/form/{element}', 'EventAPIController@form');
    Route::resource('event', 'EventAPIController');
});

// Public routes for event
Route::get('events/', 'EventPublicController@index');
Route::get('events/{slug?}', 'EventPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for events
            Route::prefix('{guard}/event')->group(function () {
                Route::get('event/form/{element}', 'EventAPIController@form');
                Route::apiResource('event', 'EventAPIController');
            });
            // Public routes for events
            Route::get('event/Event', 'EventPublicController@getEvent');
        }
    );
}


// API routes  for program
Route::prefix('{guard}/event')->group(function () {
    Route::get('program/form/{element}', 'ProgramAPIController@form');
    Route::resource('program', 'ProgramAPIController');
});

// Public routes for program
Route::get('events/', 'ProgramPublicController@index');
Route::get('events/{slug?}', 'ProgramPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for events
            Route::prefix('{guard}/event')->group(function () {
                Route::get('program/form/{element}', 'ProgramAPIController@form');
                Route::apiResource('program', 'ProgramAPIController');
            });
            // Public routes for events
            Route::get('event/Program', 'ProgramPublicController@getProgram');
        }
    );
}


// API routes  for business_directory
Route::prefix('{guard}/event')->group(function () {
    Route::get('business_directory/form/{element}', 'BusinessDirectoryAPIController@form');
    Route::resource('business_directory', 'BusinessDirectoryAPIController');
});

// Public routes for business_directory
Route::get('events/', 'BusinessDirectoryPublicController@index');
Route::get('events/{slug?}', 'BusinessDirectoryPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for events
            Route::prefix('{guard}/event')->group(function () {
                Route::get('business_directory/form/{element}', 'BusinessDirectoryAPIController@form');
                Route::apiResource('business_directory', 'BusinessDirectoryAPIController');
            });
            // Public routes for events
            Route::get('event/BusinessDirectory', 'BusinessDirectoryPublicController@getBusinessDirectory');
        }
    );
}


// API routes  for gallery
Route::prefix('{guard}/event')->group(function () {
    Route::get('gallery/form/{element}', 'GalleryAPIController@form');
    Route::resource('gallery', 'GalleryAPIController');
});

// Public routes for gallery
Route::get('events/', 'GalleryPublicController@index');
Route::get('events/{slug?}', 'GalleryPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for events
            Route::prefix('{guard}/event')->group(function () {
                Route::get('gallery/form/{element}', 'GalleryAPIController@form');
                Route::apiResource('gallery', 'GalleryAPIController');
            });
            // Public routes for events
            Route::get('event/Gallery', 'GalleryPublicController@getGallery');
        }
    );
}

