<?php

// web routes  for event
Route::prefix('{guard}/event')->group(function () {
    Route::resource('event', 'EventResourceController');
});

// Public routes for event
Route::get('events/', 'EventPublicController@index');
Route::get('events/{slug?}', 'EventPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'EventResourceController');
            });
            // Public routes for pages
            Route::get('events/', 'EventPublicController@index');
            Route::get('events/{slug?}', 'EventPublicController@show');
        }
    );
}


// web routes  for program
Route::prefix('{guard}/event')->group(function () {
    Route::resource('program', 'ProgramResourceController');
});

// Public routes for program
Route::get('events/', 'ProgramPublicController@index');
Route::get('events/{slug?}', 'ProgramPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ProgramResourceController');
            });
            // Public routes for pages
            Route::get('events/', 'ProgramPublicController@index');
            Route::get('events/{slug?}', 'ProgramPublicController@show');
        }
    );
}


// web routes  for business_directory
Route::prefix('{guard}/event')->group(function () {
    Route::resource('business_directory', 'BusinessDirectoryResourceController');
});

// Public routes for business_directory
Route::get('events/', 'BusinessDirectoryPublicController@index');
Route::get('events/{slug?}', 'BusinessDirectoryPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'BusinessDirectoryResourceController');
            });
            // Public routes for pages
            Route::get('events/', 'BusinessDirectoryPublicController@index');
            Route::get('events/{slug?}', 'BusinessDirectoryPublicController@show');
        }
    );
}


// web routes  for gallery
Route::prefix('{guard}/event')->group(function () {
    Route::resource('gallery', 'GalleryResourceController');
});

// Public routes for gallery
Route::get('events/', 'GalleryPublicController@index');
Route::get('events/{slug?}', 'GalleryPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'GalleryResourceController');
            });
            // Public routes for pages
            Route::get('events/', 'GalleryPublicController@index');
            Route::get('events/{slug?}', 'GalleryPublicController@show');
        }
    );
}

