<?php

namespace Litepie\Event;

use User;

class Event
{
    /**
     * $event object.
     */
    protected $event;
    /**
     * $program object.
     */
    protected $program;
    /**
     * $business_directory object.
     */
    protected $business_directory;
    /**
     * $gallery object.
     */
    protected $gallery;

    /**
     * Constructor.
     */
    public function __construct(\Litepie\Event\Interfaces\EventRepositoryInterface $event,
        \Litepie\Event\Interfaces\ProgramRepositoryInterface $program,
        \Litepie\Event\Interfaces\BusinessDirectoryRepositoryInterface $business_directory,
        \Litepie\Event\Interfaces\GalleryRepositoryInterface $gallery)
    {
        $this->event = $event;
        $this->program = $program;
        $this->business_directory = $business_directory;
        $this->gallery = $gallery;
    }

    /**
     * Returns count of event.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.event.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->event->pushCriteria(new \Litepie\Litepie\Repositories\Criteria\EventUserCriteria());
        }

        $event = $this->event->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('event::' . $view, compact('event'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.program.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->program->pushCriteria(new \Litepie\Litepie\Repositories\Criteria\ProgramUserCriteria());
        }

        $program = $this->program->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('event::' . $view, compact('program'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.business_directory.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->business_directory->pushCriteria(new \Litepie\Litepie\Repositories\Criteria\BusinessDirectoryUserCriteria());
        }

        $business_directory = $this->business_directory->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('event::' . $view, compact('business_directory'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.gallery.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->gallery->pushCriteria(new \Litepie\Litepie\Repositories\Criteria\GalleryUserCriteria());
        }

        $gallery = $this->gallery->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('event::' . $view, compact('gallery'))->render();
    }
}
