<?php

namespace Litepie\Event\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Event policy
        'Litepie\Event\Models\Event' => \Litepie\Event\Policies\EventPolicy::class,
// Bind Program policy
        'Litepie\Event\Models\Program' => \Litepie\Event\Policies\ProgramPolicy::class,
// Bind BusinessDirectory policy
        'Litepie\Event\Models\BusinessDirectory' => \Litepie\Event\Policies\BusinessDirectoryPolicy::class,
// Bind Gallery policy
        'Litepie\Event\Models\Gallery' => \Litepie\Event\Policies\GalleryPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
