<?php

namespace Litepie\Event\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BusinessDirectoryTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Event\Models\BusinessDirectory $business_directory)
    {
        return [
            'id'                => $business_directory->getRouteKey(),
            'key'               => [
                'public'    => $business_directory->getPublicKey(),
                'route'     => $business_directory->getRouteKey(),
            ], 
            'name'              => $business_directory->name,
            'location'          => $business_directory->location,
            'street'            => $business_directory->street,
            'pincode'           => $business_directory->pincode,
            'slug'              => $business_directory->slug,
            'user_id'           => $business_directory->user_id,
            'user_type'         => $business_directory->user_type,
            'deleted_at'        => $business_directory->deleted_at,
            'url'               => [
                'public'    => trans_url('event/'.$business_directory->getPublicKey()),
                'user'      => guard_url('event/business_directory/'.$business_directory->getRouteKey()),
            ], 
            'status'            => trans('app.'.$business_directory->status),
            'created_at'        => format_date($business_directory->created_at),
            'updated_at'        => format_date($business_directory->updated_at),
        ];
    }
}