<?php

namespace Litepie\Event\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EventTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Event\Models\Event $event)
    {
        return [
            'id'                => $event->getRouteKey(),
            'key'               => [
                'public'    => $event->getPublicKey(),
                'route'     => $event->getRouteKey(),
            ], 
            'title'             => $event->title,
            'date'              => $event->date,
            'address'           => $event->address,
            'street'            => $event->street,
            'city'              => $event->city,
            'state'             => $event->state,
            'country'           => $event->country,
            'pincode'           => $event->pincode,
            'images'            => $event->images,
            'description'       => $event->description,
            'slug'              => $event->slug,
            'user_id'           => $event->user_id,
            'user_type'         => $event->user_type,
            'deleted_at'        => $event->deleted_at,
            'url'               => [
                'public'    => trans_url('event/'.$event->getPublicKey()),
                'user'      => guard_url('event/event/'.$event->getRouteKey()),
            ], 
            'status'            => trans('app.'.$event->status),
            'created_at'        => format_date($event->created_at),
            'updated_at'        => format_date($event->updated_at),
        ];
    }
}