<?php

namespace Litepie\Event\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProgramTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Event\Models\Program $program)
    {
        return [
            'id'                => $program->getRouteKey(),
            'key'               => [
                'public'    => $program->getPublicKey(),
                'route'     => $program->getRouteKey(),
            ], 
            'name'              => $program->name,
            'description'       => $program->description,
            'images'            => $program->images,
            'slug'              => $program->slug,
            'user_id'           => $program->user_id,
            'user_type'         => $program->user_type,
            'deleted_at'        => $program->deleted_at,
            'url'               => [
                'public'    => trans_url('event/'.$program->getPublicKey()),
                'user'      => guard_url('event/program/'.$program->getRouteKey()),
            ], 
            'status'            => trans('app.'.$program->status),
            'created_at'        => format_date($program->created_at),
            'updated_at'        => format_date($program->updated_at),
        ];
    }
}